package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: fglrx kernel module failed to build

Bug #642317 reported by neildomo on 2010-09-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
Undecided
Unassigned

Bug Description

Built new computer with MSI 790X-G45 mobo , ATI HD 5570 video card , Acer X233H monitor. I installed Ubuntu 9.10, upgraded to 10.04, then went to System->Administration->Hardware Drivers. Clicked "Activate" to get the ATI drivers. Got the crash symbol in my panel shortly afterward.

1) Description: Ubuntu 10.04.1 LTS
Release: 10.04

2) neil@sonata:~$ apt-cache policy fglrx
fglrx:
  Installed: 2:8.723.1-0ubuntu4
  Candidate: 2:8.723.1-0ubuntu4
  Version table:
 *** 2:8.723.1-0ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Packages
        100 /var/lib/dpkg/status
     2:8.723.1-0ubuntu3 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/restricted Packages

3) I expected the ATI drivers to install, reboot, and have a sharper display.

4.) Instead I got an error about "driver could not install" and a crash icon in the panel, which took me here.

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: fglrx 2:8.723.1-0ubuntu4
ProcVersionSignature: Ubuntu 2.6.32-24.43-generic 2.6.32.15+drm33.5
Uname: Linux 2.6.32-24-generic x86_64
Architecture: amd64
CurrentDmesg:
 [ 9.126045] ppdev: user-space parallel port driver
 [ 9.684335] pci 0000:01:00.0: PCI->APIC IRQ transform: INT A -> IRQ 18
 [ 13.478944] hda-intel: IRQ timing workaround is activated for card #1. Suggest a bigger bdl_pos_adj.
 [ 17.659022] eth0: no IPv6 routers present
Date: Sat Sep 18 14:53:48 2010
DkmsStatus: fglrx, 8.723.1: added
ErrorMessage: fglrx kernel module failed to build
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
MachineType: MSI MS-7622
PackageVersion: 2:8.723.1-0ubuntu4
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-24-generic root=UUID=f24458e6-1c88-43f4-b36b-47a0b52bf333 ro quiet splash
SourcePackage: fglrx-installer
Title: package fglrx 2:8.723.1-0ubuntu4 failed to install/upgrade: fglrx kernel module failed to build
dmi.bios.date: 10/22/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: V1.0
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: 790X-G45 (MS-7622)
dmi.board.vendor: MSI
dmi.board.version: 1.0
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: MICRO-STAR INTERNATIONAL CO.,LTD
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrV1.0:bd10/22/2009:svnMSI:pnMS-7622:pvr1.0:rvnMSI:rn790X-G45(MS-7622):rvr1.0:cvnMICRO-STARINTERNATIONALCO.,LTD:ct3:cvr1.0:
dmi.product.name: MS-7622
dmi.product.version: 1.0
dmi.sys.vendor: MSI
glxinfo: Error: command ['glxinfo'] failed with exit code -11:
system:
 distro: Ubuntu
 codename: lucid
 architecture: x86_64
 kernel: 2.6.32-24-generic

neildomo (neildomo) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers